#!/bin/sh 

if [ ! -f gs3-setup.sh ]; then
    echo "You must run this script from within the Greenstone 3 home directory"
    exit 1
fi

#check that GSDL3HOME is set
source gs3-setup.sh
gsdl3home=$GSDL3HOME

# we just move soap's web.xml.disabled to web.xml
cd $gsdl3home/comms/soap/soap/webapps/soap/WEB-INF

if [ -f web.xml.disabled ]; then
  mv web.xml.disabled web.xml
  echo "Please restart Tomcat for the changes to take effect"
else 
  echo "SOAP was already enabled"
fi 

